package ch.hepia.numeric;
import java.util.List;
import java.util.ArrayList;

public class Transposed{
    private List<Double> vecT;

    public Transposed(){
        this.vecT = new ArrayList<>();
    };

    public Transposed(Vector That){
        this.vecT = new ArrayList<>();
        for (double elem : That.getValues()){vecT.add(elem);}
    };

     public List<Double> getValues(){
        return this.vecT;
    }

    public double dot(Vector That){
        double res = 0.0;
        Integer count = 0;
        for (double coo : this.vecT) {
            res = res + (coo * That.get(count)); 
            count = count + 1;
        }
        return res;
        //throw new UnsupportedOperationException("This feature isn't implemented yet");
    };
    public Transposed sub(Vector That){
        Transposed resT = new Transposed();
        Integer count = 0;
        for (double coo : this.vecT) {
            //resT.add(coo - That.get(count));
            count = count + 1;
        }
        return resT;
        //throw new UnsupportedOperationException("This feature isn't implemented yet");
    };

     @Override
    public String toString() {
        String tr = "Transposed[";
        for (double val: this.getValues()){
            tr = tr.concat(val + ", ");
        }
        tr = tr.substring(0, tr.length()-2).concat("]");
        return tr;
    }






}